Subject: bug#41069: cyclically dependent channels crashes guix pull

From: Martin Becze <[email-masked]>
Date: Sun, 3 May 2020 21:38:48 -0500

Cyclically dependent channels crashes guix pull. Cyclically dependent
channels probably shouldn't happen, but guix pull probably shouldn't go
into an endless loop and die either.

Cheers!,
-Martin